- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_response_writer.h File Reference

axis2 Response Writer More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_stream.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_http_response_writer | axis2_http_response_writer_t
## Functions
AXIS2_EXTERN axis2_char_t * | axis2_http_response_writer_get_encoding (const axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_close (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_flush (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_write_char (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, char c)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_write_buf (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, char *buf, int offset, axis2_ssize_t len)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_print_str (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, const char *str)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_print_int (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, int i)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_println_str (axis2_http_response_writer_t *response_writer, const axutil_env_t *env, const char *str)
AXIS2_EXTERN axis2_status_t | axis2_http_response_writer_println (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_http_response_writer_free (axis2_http_response_writer_t *response_writer, const axutil_env_t *env)
AXIS2_EXTERN axis2_http_response_writer_t * | axis2_http_response_writer_create (const axutil_env_t *env, axutil_stream_t *stream)
AXIS2_EXTERN axis2_http_response_writer_t * | axis2_http_response_writer_create_with_encoding (const axutil_env_t *env, axutil_stream_t *stream, const axis2_char_t *encoding)

## Detailed Description

axis2 Response Writer